Generation Framework

## org.eclipse.gmf.gmfgraph
Class Alignment

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.gmfgraph.Alignment

All Implemented Interfaces:
  Enumerator

public final class Alignment
extends AbstractEnumerator

A representation of the literals of the enumeration 'Alignment', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getAlignment()`
** Generated **
Model:

Field Summary
`static int` `BEGINNING` The 'BEGINNING' literal value
`static Alignment` `BEGINNING_LITERAL` The 'BEGINNING' literal object
`static int` `CENTER` The 'CENTER' literal value
`static Alignment` `CENTER_LITERAL` The 'CENTER' literal object
`static int` `END` The 'END' literal value
`static Alignment` `END_LITERAL` The 'END' literal object
`static int` `FILL` The 'FILL' literal value
`static Alignment` `FILL_LITERAL` The 'FILL' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Alignment' enumerators

Method Summary
`static Alignment` `get(int value)` Returns the 'Alignment' literal with the specified integer value
`static Alignment` `get(java.lang.String literal)` Returns the 'Alignment' literal with the specified literal value
`static Alignment` `getByName(java.lang.String name)` Returns the 'Alignment' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEGINNING

    public static final int BEGINNING

  The 'BEGINNING' literal value.

  If the meaning of 'BEGINNING' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Alignment.BEGINNING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### CENTER

    public static final int CENTER

  The 'CENTER' literal value.

  If the meaning of 'CENTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Alignment.CENTER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### END

    public static final int END

  The 'END' literal value.

  If the meaning of 'END' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Alignment.END_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### FILL

    public static final int FILL

  The 'FILL' literal value.

  If the meaning of 'FILL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Alignment.FILL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### BEGINNING_LITERAL

    public static final Alignment BEGINNING_LITERAL

  The 'BEGINNING' literal object.

  See Also:
    `Alignment.BEGINNING`
  ** Generated **
  Ordered:

### CENTER_LITERAL

    public static final Alignment CENTER_LITERAL

  The 'CENTER' literal object.

  See Also:
    `Alignment.CENTER`
  ** Generated **
  Ordered:

### END_LITERAL

    public static final Alignment END_LITERAL

  The 'END' literal object.

  See Also:
    `Alignment.END`
  ** Generated **
  Ordered:

### FILL_LITERAL

    public static final Alignment FILL_LITERAL

  The 'FILL' literal object.

  See Also:
    `Alignment.FILL`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Alignment' enumerators.

  ** Generated **

Method Detail

### get

    public static Alignment get(java.lang.String literal)

  Returns the 'Alignment' literal with the specified literal value.

  ** Generated **

### getByName

    public static Alignment getByName(java.lang.String name)

  Returns the 'Alignment' literal with the specified name.

  ** Generated **

### get

    public static Alignment get(int value)

  Returns the 'Alignment' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.